<?php
// Check for custom page styling options.
global $post;
$page_custom_primary    = get_post_meta( $post->ID, 'page_primary_color_scheme', true );
$page_custom_secondary  = get_post_meta( $post->ID, 'page_secondary_color_scheme', true );

// Print the custom primary stylesheet if necessary.
if ( 'null' != $page_custom_primary )
    echo '<link href="' . TT_CSS . esc_attr( $page_custom_primary ) . '" rel="stylesheet" type="text/css" media="screen" />' . "\n";

// Print the custom secondary stylesheet if necessary.
if ( 'null' != $page_custom_secondary )
    echo '<link href="' . TT_CSS . esc_attr( $page_custom_secondary ) . '" rel="stylesheet" type="text/css" media="screen" />' . "\n";

// Grab the page background settings.
$page_background_color      = get_post_meta( $post->ID, 'page_background_color', true );
$page_background_image      = get_post_meta( $post->ID, 'page_background_image', true );
$page_background_repeat     = get_post_meta( $post->ID, 'page_background_repeat', true );
$page_background_position   = get_post_meta( $post->ID, 'page_background_position', true );

// Print the CSS for page backgrounds.
if ( ! isset( $css_array_perpage ) )
	$css_array_perpage = array();

if ( '' != $page_background_color )
    $css_array_perpage[] = 'background-color:' . esc_attr( $page_background_color ) . ' !important;';

if ( '' != $page_background_image )
    $css_array_perpage[] = 'background-image:url(' . esc_url( $page_background_image ) . ') !important;';

if ( '' != $page_background_image )
    $css_array_perpage[] = 'background-repeat:' . esc_attr( $page_background_repeat ) . ' !important;';

if ( '' != $page_background_image )
    $css_array_perpage[] = 'background-position:' . esc_attr( $page_background_position ) . ' !important;';

if ( ! empty( $css_array_perpage ) ) {
    echo '<!-- ' . __( 'Styles generated by custom page styling options.', 'tt_theme_framework' ) . ' -->' . "\n";
    echo '<style type="text/css">body, html {' . implode( ' ', $css_array_perpage ) . '}</style>' . "\n";
}